ウィキペディアのAPI用の使いやすいPythonラッパー「wikipedia-api」をインストールする

ウィキペディアのAPI用の使いやすいPythonラッパーである「wikipedia-api」について解説しています。

wikipedia-apiのライブラリは、ウィキペディアからのテキスト、セクション、リンク、カテゴリ、翻訳等の抽出をサポートしています。また、ウィキペディアの単一ページを取得したり、ページの概要を取得することなどができます。

■Python

今回のPythonのバージョンは、「3.8.5」を使用しています。(Windows10)(pythonランチャーでの確認)

■wikipedia-apiをインストールする

wikipedia-apiをインストールを行いますが、今回はpipを経由してインストールを行うので、まずWindowsのコマンドプロンプトを起動します。

pip install wikipedia-api

起動後、上記のコマンドを入力し、Enterキーを押します。

なお、今回は、pythonランチャーを使用しており、Python Version 3.8.5にインストールを行うために、pipを使う場合にはコマンドでの切り替えを行います。

py -3.8 -m pip install wikipedia-api

切り替えるために、上記のコマンドを入力し、Enterキーを押します。

Defaulting to user installation because normal site-packages is not writeable
Collecting wikipedia-api
Downloading Wikipedia-API-0.5.4.tar.gz (18 kB)
Requirement already satisfied: requests in c:\users\user_\appdata\roaming\python\python38\site-packages (from wikipedia-api) (2.25.1)
Requirement already satisfied: chardet<5,>=3.0.2 in c:\users\user_\appdata\roaming\python\python38\site-packages (from requests->wikipedia-api) (4.0.0)
Requirement already satisfied: certifi>=2017.4.17 in c:\users\user_\appdata\roaming\python\python38\site-packages (from requests->wikipedia-api) (2021.5.30)
Requirement already satisfied: idna<3,>=2.5 in c:\users\user_\appdata\roaming\python\python38\site-packages (from requests->wikipedia-api) (2.10)
Requirement already satisfied: urllib3<1.27,>=1.21.1 in c:\users\user_\appdata\roaming\python\python38\site-packages (from requests->wikipedia-api) (1.26.5)
Building wheels for collected packages: wikipedia-api
Building wheel for wikipedia-api (setup.py) ... done
Created wheel for wikipedia-api: filename=Wikipedia_API-0.5.4-py3-none-any.whl size=13462 sha256=6ef127f2f1984d3c80f3016082a98da40659319c159e3e812a281f0a29833d35
Stored in directory: c:\users\user_\appdata\local\pip\cache\wheels\ed\e3\da3d4d73cb91d659488cfa25913b84bbc26febec99d257bce9
Successfully built wikipedia-api
Installing collected packages: wikipedia-api
Successfully installed wikipedia-api-0.5.4

Enterキーを押すと、インストールが開始され、上記のように「Successfully installed」と表示されます。これが表示されれば、wikipedia-apiが正常にインストールされたことになります。

なお、今回はwikipedia-apiのバージョン0.5.4をインストールしました。

コメント

タイトルとURLをコピーしました